### Name: Calculus
### Title: DIFFERENTIATION AND INTEGRATION
### Aliases: dif int


### ** Examples


data(srosa)
getunits(srosa)
# convert to cm/s/s
srosa.accel <- dif(mul(srosa, 1e-7))

amax <-  function(X)
  X$x <- max(abs(X$amp))

pga <- max(sapply(X = srosa.accel, amax))
# cm/s/s

spect(srosa)

srosa.disp <- int(rtrend(srosa))

plot(srosa, xlim = c(100, 400))
plot(srosa.disp, xlim = c(100, 400))
srosa.disp <- hp(srosa.disp, c = 0.1)
plot(srosa.disp, xlim = c(100, 400))
spect(srosa.disp)



